Skip to main content
GET
/
api
/
v1
/
emails
List emails
curl --request GET \
  --url https://api.torpedo.co.mz/api/v1/emails \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "from": "Acme <hello@myapp.com>",
      "to": "user@example.com",
      "subject": "Welcome to Acme",
      "providerId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "sentAt": "2023-11-07T05:31:56Z",
      "deliveredAt": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "total": 42,
    "perPage": 20,
    "page": 1,
    "lastPage": 3
  }
}

Authorizations

X-API-Key
string
header
required

Prefix tor_ followed by a base64url-encoded random key. Obtain one from POST /api/v1/workspaces or POST /api/v1/auth/keys.

Query Parameters

page
integer
default:1
limit
integer
default:20

Response

200 - application/json

Paginated email list

data
object[]
meta
object